import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import java.sql.*;

public class SearchBioData extends JFrame implements ActionListener
{
	JTextField command=new JTextField();
	JTextArea status=new JTextArea(3,1);
	JScrollPane resultsPane;
	JMenuBar menuBar=new JMenuBar();
	JMenuItem clearQueryItem=new JMenuItem("Clear Query");
	JMenuItem exitItem=new JMenuItem("exit");
	Connection connection;
	Statement statement;
	ResultModel model;
	public SearchBioData(String driver,String url)
	{
	super("Search Data");
	setBounds(0,0,400,300);
	setDefaultCloseOperation(DISPOSE_ON_CLOSE);
	//addWindowListener(new WindowHandler());
	
	command.setToolTipText("key SQl command and press Enter");
	command.addActionListener(this);
	getContentPane().add(command,BorderLayout.NORTH);
	
	
	status.setLineWrap(true);
	status.setWrapStyleWord(true);
	getContentPane().add(status,BorderLayout.SOUTH);
	
	JMenu fileMenu=new JMenu("FILE");
	fileMenu.setMnemonic('f');
	clearQueryItem.addActionListener(this);
	exitItem.addActionListener(this);
	fileMenu.add(clearQueryItem);
	fileMenu.add(exitItem);
	menuBar.add(fileMenu);
	setJMenuBar(menuBar);
	
	
	try
	{
	Class.forName(driver);
	connection=DriverManager.getConnection(url);
	statement=connection.createStatement();
	model=new ResultModel();
	JTable table=new JTable(model);
	table.setAutoResizeMode(JTable.AUTO_RESIZE_OFF);
	resultsPane=new JScrollPane(table);
	getContentPane().add(resultsPane,BorderLayout.CENTER);
	}
	catch(ClassNotFoundException cnfe)
	{
	System.err.println(cnfe);
	}
	catch(SQLException sqle)
	{
	System.err.println(sqle);
	}
	pack();
	setVisible(true);
}//constructor

public void actionPerformed(ActionEvent e)
{
Object source=e.getSource();
if(source==command)
executeSQL();
else if(source==clearQueryItem)
command.setText("");
else if (source==exitItem)
{
dispose();
System.exit(0);
}
}


public void executeSQL()
{
String query="SELECT * FROM BiosData WHERE EmployeeID="+command.getText();
if(query==null)
return;
try
{
model.setResultset(statement.executeQuery(query));
status.setText("Resultset has"+model.getRowCount()+"rows.");
}
catch(SQLException sqle)
{
status.setText(sqle.getMessage());
}
}

public static void main(String args[])
{
SearchBioData a=new SearchBioData("sun.jdbc.odbc.JdbcOdbcDriver","jdbc:odbc:database");
}
}	